> For the complete documentation index, see [llms.txt](https://docs.recognito.vision/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.recognito.vision/id-document-recognition-sdk/integration-guide/android/licensing.md).

# Licensing

{% hint style="info" %}
Click [Here ](/license-option.md)to get details about RECOGNITO license option

[License Option](/license-option.md)
{% endhint %}

## Get your Application ID

To activate SDK, you have to first get your Application ID in your `build.gradle` file:

```gradle
android {
    namespace 'com.bio.idcardrecognition'
    compileSdk 34

    defaultConfig {
        applicationId "com.bio.idcardrecognition"
        minSdk 24
        targetSdk 34
        versionCode 5
        versionName "1.4"
```

## Request License

Share your Application ID with us for license key.

[**Contact us**](/contact-and-support.md)

## Activate SDK

[Activate](/id-document-recognition-sdk/integration-guide/android/api-reference.md#setactivation) the SDK with license key. Should be called before using of any other functions.

{% code title="MainActivity.kt" %}

```kotlin
class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        var ret = IDSDK.setActivation(
            "B3sUmGfASlu/p01TNEJxGHP/WTUk5NORuqgfggB25LQPYQBJzdw1lgiFfkE71/+8YhOKdU9wDVbY" +
            "pe/QHf/VbzO3Of7dME9gKjF2H3aNPHY90XNspz7iT1ntf5qd/STCbJVRJAorwBtPE7+BO3cHdVm8" +
            "CLFSclyUEI3/aiXLiT448B+KjvgEoX0CDswVOzpEVYmYphcUX+AbJQ135ostxmaZOMOhEtALEQYH" +
            "+SEIKrn/2+KOYsinZMOOvSWpeSnIrYj3z/AYHhKyR9doYEyCtc7qDwH9NPX3UC5WZc81ewc/K0JO" +
            "Lpe3a9tpGgFtLFEtVB4BwZdivnTf67BZZMMcAQ=="
        )
        if(ret  == IDSDK.SDK_SUCCESS) {
            ret = IDSDK.init(this)
        }

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.recognito.vision/id-document-recognition-sdk/integration-guide/android/licensing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
